varying vec3 pos;
uniform int angle;

void main(void)
{
	pos.x = clamp(gl_Vertex.x,0.0,1.0);
	pos.y = clamp(gl_Vertex.y,0.0,1.0);
	pos.z = clamp(gl_Vertex.z,0.0,1.0);

	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_Position.y += sin(radians((float)angle) + gl_Vertex.x + gl_Vertex.z) * 0.5;
}
